/*-------------------------------------------------------------------------
 |                                                                         
 |             SAS SUPPLEMENTAL SYNTAX FILE FOR ICPSR 03088
 |           ALCOHOL AND DRUG SERVICES STUDY (ADSS), 1996-1999:
 |                            [UNITED STATES]
 |       (DATASET 0007: PHASE III IN-TREATMENT METHADONE FOLLOW-UP)
 |
 | This SAS program is provided for optional use with the SAS transport
 | version of this data file as distributed by ICPSR. The metadata
 | provided below are not stored in the SAS transport version of this data
 | collection.  Users need to use SAS PROC CIMPORT to import the SAS
 | transport file to a SAS data set on their system. This program can
 | then be used in conjunction with the SAS system data file.
 |
 | DATA:  begins a SAS data step and names an output SAS data set. Users
 | should replace "SAS-dataset" with their name for the SAS data set copied
 | from the SAS transport file. Users can add a SAS libname statement
 | and an output SAS data set name to make a permanent SAS data set.
 |
 | MISSING VALUE RECODES:  sets user-defined numeric missing values to
 | missing as interpreted by the SAS system. Only variables with
 | user-defined missing values are included in this section.
 |
 | If any variables have more than one missing value, they are assigned
 | to the standard missing value of a single period (.) in the statement
 | below. To maintain the original meaning of missing codes, users may want
 | to take advantage of the SAS missing values (the letters A-Z or an
 | underscore preceded by a period).
 |
 | An example of a standard missing value recode:
 |
 |   IF (RELATION = 98 OR RELATION = 99) THEN RELATION = .;
 |
 | The same example using special missing value recodes:
 |
 |    IF RELATION = 98 THEN RELATION = .A;
 |    IF RELATION = 99 THEN RELATION = .B;
 |
 | NOTE:  Users should modify this file to suit their specific needs.
 | The MISSING VALUE RECODES section has been commented out (i.e., '/*').
 | To make this section active in the program, users should remove the SAS
 | comment indicators from this section.
 |
 |------------------------------------------------------------------------*/

RUN;

* SAS DATA STEP;
DATA;
SET SAS-dataset ;


* USER-DEFINED MISSING VALUES RECODE TO SAS SYSMIS;

/*
   IF (CASEID <= -1) THEN CASEID = .;
   IF (FACID <= -1) THEN FACID = .;
   IF (FOUTCOME <= -1) THEN FOUTCOME = .;
   IF (F_CT <= -1) THEN F_CT = .;
   IF (FA1 <= -1) THEN FA1 = .;
   IF (FA3 <= -1) THEN FA3 = .;
   IF (FA4 <= -1) THEN FA4 = .;
   IF (FA5 <= -1) THEN FA5 = .;
   IF (FA6 <= -1) THEN FA6 = .;
   IF (FA7 <= -1) THEN FA7 = .;
   IF (FA8 <= -1) THEN FA8 = .;
   IF (FA9 <= -1) THEN FA9 = .;
   IF (FA10 <= -1) THEN FA10 = .;
   IF (FA11 <= -1) THEN FA11 = .;
   IF (FA12 <= -1) THEN FA12 = .;
   IF (FA12A <= -1) THEN FA12A = .;
   IF (FA13 <= -1) THEN FA13 = .;
   IF (FA14 <= -1) THEN FA14 = .;
   IF (FA15 <= -1) THEN FA15 = .;
   IF (FA16 <= -1) THEN FA16 = .;
   IF (FA17 <= -1) THEN FA17 = .;
   IF (FA18 <= -1) THEN FA18 = .;
   IF (F_LANG <= -1) THEN F_LANG = .;
   IF (FB1A <= -1) THEN FB1A = .;
   IF (FB2A <= -1) THEN FB2A = .;
   IF (FB3A <= -1) THEN FB3A = .;
   IF (FB4A <= -1) THEN FB4A = .;
   IF (FB1B <= -1) THEN FB1B = .;
   IF (FB2B <= -1) THEN FB2B = .;
   IF (FB3B <= -1) THEN FB3B = .;
   IF (FB4B <= -1) THEN FB4B = .;
   IF (FB1C <= -1) THEN FB1C = .;
   IF (FB2C <= -1) THEN FB2C = .;
   IF (FB3C <= -1) THEN FB3C = .;
   IF (FB4C <= -1) THEN FB4C = .;
   IF (FB1D <= -1) THEN FB1D = .;
   IF (FB2D <= -1) THEN FB2D = .;
   IF (FB3D <= -1) THEN FB3D = .;
   IF (FB4D <= -1) THEN FB4D = .;
   IF (FB1E <= -1) THEN FB1E = .;
   IF (FB2E <= -1) THEN FB2E = .;
   IF (FB3E <= -1) THEN FB3E = .;
   IF (FB4E <= -1) THEN FB4E = .;
   IF (FB1F <= -1) THEN FB1F = .;
   IF (FB2F <= -1) THEN FB2F = .;
   IF (FB3F <= -1) THEN FB3F = .;
   IF (FB4F <= -1) THEN FB4F = .;
   IF (FB1G <= -1) THEN FB1G = .;
   IF (FB2G <= -1) THEN FB2G = .;
   IF (FB3G <= -1) THEN FB3G = .;
   IF (FB4G <= -1) THEN FB4G = .;
   IF (FB1H <= -1) THEN FB1H = .;
   IF (FB2H <= -1) THEN FB2H = .;
   IF (FB3H <= -1) THEN FB3H = .;
   IF (FB4H <= -1) THEN FB4H = .;
   IF (FB1I <= -1) THEN FB1I = .;
   IF (FB2I <= -1) THEN FB2I = .;
   IF (FB3I <= -1) THEN FB3I = .;
   IF (FB4I <= -1) THEN FB4I = .;
   IF (FB1J <= -1) THEN FB1J = .;
   IF (FB2J <= -1) THEN FB2J = .;
   IF (FB3J <= -1) THEN FB3J = .;
   IF (FB4J <= -1) THEN FB4J = .;
   IF (FB1K <= -1) THEN FB1K = .;
   IF (FB2K <= -1) THEN FB2K = .;
   IF (FB3K <= -1) THEN FB3K = .;
   IF (FB4K <= -1) THEN FB4K = .;
   IF (FB1L <= -1) THEN FB1L = .;
   IF (FB2L <= -1) THEN FB2L = .;
   IF (FB3L <= -1) THEN FB3L = .;
   IF (FB4L <= -1) THEN FB4L = .;
   IF (FB1M <= -1) THEN FB1M = .;
   IF (FB1MOTH <= -1) THEN FB1MOTH = .;
   IF (FB2M <= -1) THEN FB2M = .;
   IF (FB3M <= -1) THEN FB3M = .;
   IF (FB4M <= -1) THEN FB4M = .;
   IF (FB5 <= -1) THEN FB5 = .;
   IF (FB6 <= -1) THEN FB6 = .;
   IF (FB7 <= -1) THEN FB7 = .;
   IF (FB8 <= -1) THEN FB8 = .;
   IF (FB9 <= -1) THEN FB9 = .;
   IF (FB9A <= -1) THEN FB9A = .;
   IF (FB10 <= -1) THEN FB10 = .;
   IF (FB11 <= -1) THEN FB11 = .;
   IF (FB12A <= -1) THEN FB12A = .;
   IF (FB13A <= -1) THEN FB13A = .;
   IF (FB12B <= -1) THEN FB12B = .;
   IF (FB13B <= -1) THEN FB13B = .;
   IF (FB12C <= -1) THEN FB12C = .;
   IF (FB13C <= -1) THEN FB13C = .;
   IF (FB14 <= -1) THEN FB14 = .;
   IF (FB15 <= -1) THEN FB15 = .;
   IF (FB16 <= -1) THEN FB16 = .;
   IF (FB17 <= -1) THEN FB17 = .;
   IF (FB18 <= -1) THEN FB18 = .;
   IF (FB19 <= -1) THEN FB19 = .;
   IF (FB20 <= -1) THEN FB20 = .;
   IF (FB21 <= -1) THEN FB21 = .;
   IF (FB22 <= -1) THEN FB22 = .;
   IF (FB23 <= -1) THEN FB23 = .;
   IF (FB24 <= -1) THEN FB24 = .;
   IF (FB25 <= -1) THEN FB25 = .;
   IF (FB26 <= -1) THEN FB26 = .;
   IF (FB27A <= -1) THEN FB27A = .;
   IF (FB27B <= -1) THEN FB27B = .;
   IF (FB27C <= -1) THEN FB27C = .;
   IF (FB27D <= -1) THEN FB27D = .;
   IF (FB27E <= -1) THEN FB27E = .;
   IF (FB27F <= -1) THEN FB27F = .;
   IF (FB27G <= -1) THEN FB27G = .;
   IF (FB28 <= -1) THEN FB28 = .;
   IF (FB29 <= -1) THEN FB29 = .;
   IF (FB30 <= -1) THEN FB30 = .;
   IF (FB31 <= -1) THEN FB31 = .;
   IF (FB32 <= -1) THEN FB32 = .;
   IF (FB33A <= -1) THEN FB33A = .;
   IF (FB33AOTH <= -1) THEN FB33AOTH = .;
   IF (FB34 <= -1) THEN FB34 = .;
   IF (FB34A <= -1) THEN FB34A = .;
   IF (FB35 <= -1) THEN FB35 = .;
   IF (FB36 <= -1) THEN FB36 = .;
   IF (FB37 <= -1) THEN FB37 = .;
   IF (FB38A <= -1) THEN FB38A = .;
   IF (FB38AOTH <= -1) THEN FB38AOTH = .;
   IF (FB39 <= -1) THEN FB39 = .;
   IF (FB40 <= -1) THEN FB40 = .;
   IF (FB41 <= -1) THEN FB41 = .;
   IF (FB42A <= -1) THEN FB42A = .;
   IF (FB42B <= -1) THEN FB42B = .;
   IF (FB42C <= -1) THEN FB42C = .;
   IF (FB42D <= -1) THEN FB42D = .;
   IF (FB42E <= -1) THEN FB42E = .;
   IF (FB42F <= -1) THEN FB42F = .;
   IF (FB42G <= -1) THEN FB42G = .;
   IF (FB42H <= -1) THEN FB42H = .;
   IF (FB42I <= -1) THEN FB42I = .;
   IF (FB42J <= -1) THEN FB42J = .;
   IF (FB42K <= -1) THEN FB42K = .;
   IF (FB42L <= -1) THEN FB42L = .;
   IF (FB43 <= -1) THEN FB43 = .;
   IF (FB44 <= -1) THEN FB44 = .;
   IF (FB44A <= -1) THEN FB44A = .;
   IF (FB44B <= -1) THEN FB44B = .;
   IF (FB45 <= -1) THEN FB45 = .;
   IF (FB46A <= -1) THEN FB46A = .;
   IF (FB47A <= -1) THEN FB47A = .;
   IF (FB46B <= -1) THEN FB46B = .;
   IF (FB47B <= -1) THEN FB47B = .;
   IF (FB46C <= -1) THEN FB46C = .;
   IF (FB47C <= -1) THEN FB47C = .;
   IF (FB46D <= -1) THEN FB46D = .;
   IF (FB47D <= -1) THEN FB47D = .;
   IF (FB46E <= -1) THEN FB46E = .;
   IF (FB47E <= -1) THEN FB47E = .;
   IF (FB46F <= -1) THEN FB46F = .;
   IF (FB47F <= -1) THEN FB47F = .;
   IF (FB46G <= -1) THEN FB46G = .;
   IF (FB47G <= -1) THEN FB47G = .;
   IF (FB46H <= -1) THEN FB46H = .;
   IF (FB47H <= -1) THEN FB47H = .;
   IF (FB48A <= -1) THEN FB48A = .;
   IF (FB49A <= -1) THEN FB49A = .;
   IF (FB48B <= -1) THEN FB48B = .;
   IF (FB49B <= -1) THEN FB49B = .;
   IF (FB48C <= -1) THEN FB48C = .;
   IF (FB49C <= -1) THEN FB49C = .;
   IF (FB48D <= -1) THEN FB48D = .;
   IF (FB49D <= -1) THEN FB49D = .;
   IF (FB48E <= -1) THEN FB48E = .;
   IF (FB49E <= -1) THEN FB49E = .;
   IF (FB48F <= -1) THEN FB48F = .;
   IF (FB49F <= -1) THEN FB49F = .;
   IF (FB48G <= -1) THEN FB48G = .;
   IF (FB49G <= -1) THEN FB49G = .;
   IF (FB48H <= -1) THEN FB48H = .;
   IF (FB49H <= -1) THEN FB49H = .;
   IF (FB50A <= -1) THEN FB50A = .;
   IF (FB50B <= -1) THEN FB50B = .;
   IF (FB50C <= -1) THEN FB50C = .;
   IF (FB50D <= -1) THEN FB50D = .;
   IF (FB51A <= -1) THEN FB51A = .;
   IF (FB52A <= -1) THEN FB52A = .;
   IF (FB53A <= -1) THEN FB53A = .;
   IF (FB51B <= -1) THEN FB51B = .;
   IF (FB52B <= -1) THEN FB52B = .;
   IF (FB53B <= -1) THEN FB53B = .;
   IF (FB51C <= -1) THEN FB51C = .;
   IF (FB52C <= -1) THEN FB52C = .;
   IF (FB53C <= -1) THEN FB53C = .;
   IF (FB51D <= -1) THEN FB51D = .;
   IF (FB52D <= -1) THEN FB52D = .;
   IF (FB53D <= -1) THEN FB53D = .;
   IF (FB54 <= -1) THEN FB54 = .;
   IF (FB55 <= -1) THEN FB55 = .;
   IF (FB56 <= -1) THEN FB56 = .;
   IF (FB57 <= -1) THEN FB57 = .;
   IF (FB58 <= -1) THEN FB58 = .;
   IF (FB59 <= -1) THEN FB59 = .;
   IF (FB60 <= -1) THEN FB60 = .;
   IF (FB61 <= -1) THEN FB61 = .;
   IF (FB62 <= -1) THEN FB62 = .;
   IF (FB63 <= -1) THEN FB63 = .;
   IF (FB64A <= -1) THEN FB64A = .;
   IF (FB65A <= -1) THEN FB65A = .;
   IF (FB64B <= -1) THEN FB64B = .;
   IF (FB65B <= -1) THEN FB65B = .;
   IF (FB64C <= -1) THEN FB64C = .;
   IF (FB65C <= -1) THEN FB65C = .;
   IF (FB64D <= -1) THEN FB64D = .;
   IF (FB65D <= -1) THEN FB65D = .;
   IF (FB64E <= -1) THEN FB64E = .;
   IF (FB65E <= -1) THEN FB65E = .;
   IF (FB64F <= -1) THEN FB64F = .;
   IF (FB65F <= -1) THEN FB65F = .;
   IF (FB64G <= -1) THEN FB64G = .;
   IF (FB65G <= -1) THEN FB65G = .;
   IF (FB64H <= -1) THEN FB64H = .;
   IF (FB65H <= -1) THEN FB65H = .;
   IF (FB64I <= -1) THEN FB64I = .;
   IF (FB65I <= -1) THEN FB65I = .;
   IF (FB64J <= -1) THEN FB64J = .;
   IF (FB65J <= -1) THEN FB65J = .;
   IF (FB64K <= -1) THEN FB64K = .;
   IF (FB65K <= -1) THEN FB65K = .;
   IF (FB64L <= -1) THEN FB64L = .;
   IF (FB65L <= -1) THEN FB65L = .;
   IF (FB64M <= -1) THEN FB64M = .;
   IF (FB65M <= -1) THEN FB65M = .;
   IF (FB66 <= -1) THEN FB66 = .;
   IF (FB67 <= -1) THEN FB67 = .;
   IF (FB68 <= -1) THEN FB68 = .;
   IF (FB69 <= -1) THEN FB69 = .;
   IF (FB70 <= -1) THEN FB70 = .;
   IF (FB71 <= -1) THEN FB71 = .;
   IF (FB72 <= -1) THEN FB72 = .;
   IF (FB73 <= -1) THEN FB73 = .;
   IF (FB74 <= -1) THEN FB74 = .;
   IF (FB75 <= -1) THEN FB75 = .;
   IF (FB76 <= -1) THEN FB76 = .;
   IF (FB77A <= -1) THEN FB77A = .;
   IF (FB77B <= -1) THEN FB77B = .;
   IF (FB77C <= -1) THEN FB77C = .;
   IF (FB78 <= -1) THEN FB78 = .;
   IF (FB78A <= -1) THEN FB78A = .;
   IF (FB79 <= -1) THEN FB79 = .;
   IF (FB80 <= -1) THEN FB80 = .;
   IF (FB81A <= -1) THEN FB81A = .;
   IF (FB82A <= -1) THEN FB82A = .;
   IF (FB83A <= -1) THEN FB83A = .;
   IF (FB84A <= -1) THEN FB84A = .;
   IF (FB85A <= -1) THEN FB85A = .;
   IF (FB81B <= -1) THEN FB81B = .;
   IF (FB82B <= -1) THEN FB82B = .;
   IF (FB83B <= -1) THEN FB83B = .;
   IF (FB84B <= -1) THEN FB84B = .;
   IF (FB85B <= -1) THEN FB85B = .;
   IF (FB81C <= -1) THEN FB81C = .;
   IF (FB82C <= -1) THEN FB82C = .;
   IF (FB83C <= -1) THEN FB83C = .;
   IF (FB84C <= -1) THEN FB84C = .;
   IF (FB85C <= -1) THEN FB85C = .;
   IF (FB81D <= -1) THEN FB81D = .;
   IF (FB82D <= -1) THEN FB82D = .;
   IF (FB83D <= -1) THEN FB83D = .;
   IF (FB84D <= -1) THEN FB84D = .;
   IF (FB85D <= -1) THEN FB85D = .;
   IF (FB81E <= -1) THEN FB81E = .;
   IF (FB82E <= -1) THEN FB82E = .;
   IF (FB83E <= -1) THEN FB83E = .;
   IF (FB84E <= -1) THEN FB84E = .;
   IF (FB85E <= -1) THEN FB85E = .;
   IF (FB81F <= -1) THEN FB81F = .;
   IF (FB82F <= -1) THEN FB82F = .;
   IF (FB83F <= -1) THEN FB83F = .;
   IF (FB84F <= -1) THEN FB84F = .;
   IF (FB85F <= -1) THEN FB85F = .;
   IF (FB81G <= -1) THEN FB81G = .;
   IF (FB82G <= -1) THEN FB82G = .;
   IF (FB83G <= -1) THEN FB83G = .;
   IF (FB84G <= -1) THEN FB84G = .;
   IF (FB85G <= -1) THEN FB85G = .;
   IF (FB81H <= -1) THEN FB81H = .;
   IF (FB82H <= -1) THEN FB82H = .;
   IF (FB83H <= -1) THEN FB83H = .;
   IF (FB84H <= -1) THEN FB84H = .;
   IF (FB85H <= -1) THEN FB85H = .;
   IF (FB81I <= -1) THEN FB81I = .;
   IF (FB82I <= -1) THEN FB82I = .;
   IF (FB83I <= -1) THEN FB83I = .;
   IF (FB84I <= -1) THEN FB84I = .;
   IF (FB85I <= -1) THEN FB85I = .;
   IF (FB81J <= -1) THEN FB81J = .;
   IF (FB82J <= -1) THEN FB82J = .;
   IF (FB83J <= -1) THEN FB83J = .;
   IF (FB84J <= -1) THEN FB84J = .;
   IF (FB85J <= -1) THEN FB85J = .;
   IF (FB81K <= -1) THEN FB81K = .;
   IF (FB82K <= -1) THEN FB82K = .;
   IF (FB83K <= -1) THEN FB83K = .;
   IF (FB84K <= -1) THEN FB84K = .;
   IF (FB85K <= -1) THEN FB85K = .;
   IF (FB81L <= -1) THEN FB81L = .;
   IF (FB82L <= -1) THEN FB82L = .;
   IF (FB83L <= -1) THEN FB83L = .;
   IF (FB84L <= -1) THEN FB84L = .;
   IF (FB85L <= -1) THEN FB85L = .;
   IF (FB81M <= -1) THEN FB81M = .;
   IF (FB82M <= -1) THEN FB82M = .;
   IF (FB83M <= -1) THEN FB83M = .;
   IF (FB84M <= -1) THEN FB84M = .;
   IF (FB85M <= -1) THEN FB85M = .;
   IF (FB81N <= -1) THEN FB81N = .;
   IF (FB81NOTH <= -1) THEN FB81NOTH = .;
   IF (FB82N <= -1) THEN FB82N = .;
   IF (FB83N <= -1) THEN FB83N = .;
   IF (FB84N <= -1) THEN FB84N = .;
   IF (FB85N <= -1) THEN FB85N = .;
   IF (FB86 <= -1) THEN FB86 = .;
   IF (FB87 <= -1) THEN FB87 = .;
   IF (FB88 <= -1) THEN FB88 = .;
   IF (FB89 <= -1) THEN FB89 = .;
   IF (FB90 <= -1) THEN FB90 = .;
   IF (FB91 <= -1) THEN FB91 = .;
   IF (FB91U <= -1) THEN FB91U = .;
   IF (FB92 <= -1) THEN FB92 = .;
   IF (FB93 <= -1) THEN FB93 = .;
   IF (FB93U <= -1) THEN FB93U = .;
   IF (FB94 <= -1) THEN FB94 = .;
   IF (FB95 <= -1) THEN FB95 = .;
   IF (FB95A <= -1) THEN FB95A = .;
   IF (FC1 <= -1) THEN FC1 = .;
   IF (FC2 <= -1) THEN FC2 = .;
   IF (FC3 <= -1) THEN FC3 = .;
   IF (FC4 <= -1) THEN FC4 = .;
   IF (FC5 <= -1) THEN FC5 = .;
   IF (FC6 <= -1) THEN FC6 = .;
   IF (FC6A <= -1) THEN FC6A = .;
   IF (FC7A <= -1) THEN FC7A = .;
   IF (FC7B <= -1) THEN FC7B = .;
   IF (FC7C <= -1) THEN FC7C = .;
   IF (FC7D <= -1) THEN FC7D = .;
   IF (FC7E <= -1) THEN FC7E = .;
   IF (FC7F <= -1) THEN FC7F = .;
   IF (FC8 <= -1) THEN FC8 = .;
   IF (FC8A <= -1) THEN FC8A = .;
   IF (FC9 <= -1) THEN FC9 = .;
   IF (FC10 <= -1) THEN FC10 = .;
   IF (FC11 <= -1) THEN FC11 = .;
   IF (FC11U <= -1) THEN FC11U = .;
   IF (FC12 <= -1) THEN FC12 = .;
   IF (FC13A <= -1) THEN FC13A = .;
   IF (FC13AOTH <= -1) THEN FC13AOTH = .;
   IF (FC14 <= -1) THEN FC14 = .;
   IF (FC15 <= -1) THEN FC15 = .;
   IF (FC15U <= -1) THEN FC15U = .;
   IF (FC16A <= -1) THEN FC16A = .;
   IF (FC16AOTH <= -1) THEN FC16AOTH = .;
   IF (FC17 <= -1) THEN FC17 = .;
   IF (FC18 <= -1) THEN FC18 = .;
   IF (FC19 <= -1) THEN FC19 = .;
   IF (FC20 <= -1) THEN FC20 = .;
   IF (FC21 <= -1) THEN FC21 = .;
   IF (FC22 <= -1) THEN FC22 = .;
   IF (FC24A <= -1) THEN FC24A = .;
   IF (FC25A <= -1) THEN FC25A = .;
   IF (FC24B <= -1) THEN FC24B = .;
   IF (FC25B <= -1) THEN FC25B = .;
   IF (FC24C <= -1) THEN FC24C = .;
   IF (FC25C <= -1) THEN FC25C = .;
   IF (FC24D <= -1) THEN FC24D = .;
   IF (FC25D <= -1) THEN FC25D = .;
   IF (FC24E <= -1) THEN FC24E = .;
   IF (FC25E <= -1) THEN FC25E = .;
   IF (FC24F <= -1) THEN FC24F = .;
   IF (FC25F <= -1) THEN FC25F = .;
   IF (FC24G <= -1) THEN FC24G = .;
   IF (FC25G <= -1) THEN FC25G = .;
   IF (FC24H <= -1) THEN FC24H = .;
   IF (FC25H <= -1) THEN FC25H = .;
   IF (FC24I <= -1) THEN FC24I = .;
   IF (FC25I <= -1) THEN FC25I = .;
   IF (FC24J <= -1) THEN FC24J = .;
   IF (FC25J <= -1) THEN FC25J = .;
   IF (FC24K <= -1) THEN FC24K = .;
   IF (FC25K <= -1) THEN FC25K = .;
   IF (FC24L <= -1) THEN FC24L = .;
   IF (FC25L <= -1) THEN FC25L = .;
   IF (FC24M <= -1) THEN FC24M = .;
   IF (FC25M <= -1) THEN FC25M = .;
   IF (FC24N <= -1) THEN FC24N = .;
   IF (FC25N <= -1) THEN FC25N = .;
   IF (FC24O <= -1) THEN FC24O = .;
   IF (FC25O <= -1) THEN FC25O = .;
   IF (FC24P <= -1) THEN FC24P = .;
   IF (FC25P <= -1) THEN FC25P = .;
   IF (FC24Q <= -1) THEN FC24Q = .;
   IF (FC25Q <= -1) THEN FC25Q = .;
   IF (FC24R <= -1) THEN FC24R = .;
   IF (FC25R <= -1) THEN FC25R = .;
   IF (FC24S <= -1) THEN FC24S = .;
   IF (FC25S <= -1) THEN FC25S = .;
   IF (FC24T <= -1) THEN FC24T = .;
   IF (FC25T <= -1) THEN FC25T = .;
   IF (FC26 <= -1) THEN FC26 = .;
   IF (FC27 <= -1) THEN FC27 = .;
   IF (FC28 <= -1) THEN FC28 = .;
   IF (FC29A <= -1) THEN FC29A = .;
   IF (FC29B <= -1) THEN FC29B = .;
   IF (FC29C <= -1) THEN FC29C = .;
   IF (FC29D <= -1) THEN FC29D = .;
   IF (FC29E <= -1) THEN FC29E = .;
   IF (FC29F <= -1) THEN FC29F = .;
   IF (FC29G <= -1) THEN FC29G = .;
   IF (FC29H <= -1) THEN FC29H = .;
   IF (FC29I <= -1) THEN FC29I = .;
   IF (FC29J <= -1) THEN FC29J = .;
   IF (FC29K <= -1) THEN FC29K = .;
   IF (FC29L <= -1) THEN FC29L = .;
   IF (FC29M <= -1) THEN FC29M = .;
   IF (FC29N <= -1) THEN FC29N = .;
   IF (FC29O <= -1) THEN FC29O = .;
   IF (FC30A <= -1) THEN FC30A = .;
   IF (FC30B <= -1) THEN FC30B = .;
   IF (FC30C <= -1) THEN FC30C = .;
   IF (FC30D <= -1) THEN FC30D = .;
   IF (FC30E <= -1) THEN FC30E = .;
   IF (FC30EOTH <= -1) THEN FC30EOTH = .;
   IF (FC31A <= -1) THEN FC31A = .;
   IF (FC32A <= -1) THEN FC32A = .;
   IF (FC33A <= -1) THEN FC33A = .;
   IF (FC31B <= -1) THEN FC31B = .;
   IF (FC32B <= -1) THEN FC32B = .;
   IF (FC33B <= -1) THEN FC33B = .;
   IF (FC31C <= -1) THEN FC31C = .;
   IF (FC32C <= -1) THEN FC32C = .;
   IF (FC33C <= -1) THEN FC33C = .;
   IF (FC31D <= -1) THEN FC31D = .;
   IF (FC32D <= -1) THEN FC32D = .;
   IF (FC33D <= -1) THEN FC33D = .;
   IF (FC34 <= -1) THEN FC34 = .;
   IF (FC35 <= -1) THEN FC35 = .;
   IF (FC35OTH <= -1) THEN FC35OTH = .;
   IF (FC36 <= -1) THEN FC36 = .;
   IF (FC37 <= -1) THEN FC37 = .;
   IF (FC38 <= -1) THEN FC38 = .;
   IF (FC39 <= -1) THEN FC39 = .;
   IF (FC40 <= -1) THEN FC40 = .;
   IF (FC41 <= -1) THEN FC41 = .;
   IF (FC42 <= -1) THEN FC42 = .;
   IF (FC43 <= -1) THEN FC43 = .;
   IF (FC44 <= -1) THEN FC44 = .;
   IF (FC45 <= -1) THEN FC45 = .;
   IF (FC46 <= -1) THEN FC46 = .;
   IF (FC47 <= -1) THEN FC47 = .;
   IF (FC48 <= -1) THEN FC48 = .;
   IF (FC49 <= -1) THEN FC49 = .;
   IF (FC50 <= -1) THEN FC50 = .;
   IF (FC51 <= -1) THEN FC51 = .;
   IF (FC52 <= -1) THEN FC52 = .;
   IF (FC53 <= -1) THEN FC53 = .;
   IF (FC54 <= -1) THEN FC54 = .;
   IF (FC55 <= -1) THEN FC55 = .;
   IF (FC56 <= -1) THEN FC56 = .;
   IF (FC57 <= -1) THEN FC57 = .;
   IF (FC58 <= -1) THEN FC58 = .;
   IF (FC58U <= -1) THEN FC58U = .;
   IF (FC59 <= -1) THEN FC59 = .;
   IF (FC60A <= -1) THEN FC60A = .;
   IF (FC60B <= -1) THEN FC60B = .;
   IF (FC60C <= -1) THEN FC60C = .;
   IF (FC60D <= -1) THEN FC60D = .;
   IF (FC60E <= -1) THEN FC60E = .;
   IF (FC60F <= -1) THEN FC60F = .;
   IF (FC61A <= -1) THEN FC61A = .;
   IF (FC61B <= -1) THEN FC61B = .;
   IF (FC61C <= -1) THEN FC61C = .;
   IF (FC61D <= -1) THEN FC61D = .;
   IF (FC61E <= -1) THEN FC61E = .;
   IF (FC61F <= -1) THEN FC61F = .;
   IF (FC61G <= -1) THEN FC61G = .;
   IF (FC61H <= -1) THEN FC61H = .;
   IF (FC61I <= -1) THEN FC61I = .;
   IF (FC61J <= -1) THEN FC61J = .;
   IF (FC61JOTH <= -1) THEN FC61JOTH = .;
   IF (FC61MAIN <= -1) THEN FC61MAIN = .;
   IF (FC62A <= -1) THEN FC62A = .;
   IF (FC62B <= -1) THEN FC62B = .;
   IF (FC62C <= -1) THEN FC62C = .;
   IF (FC62D <= -1) THEN FC62D = .;
   IF (FC62E <= -1) THEN FC62E = .;
   IF (FC62F <= -1) THEN FC62F = .;
   IF (FC62G <= -1) THEN FC62G = .;
   IF (FC62H <= -1) THEN FC62H = .;
   IF (FC62I <= -1) THEN FC62I = .;
   IF (FC62J <= -1) THEN FC62J = .;
   IF (FC62K <= -1) THEN FC62K = .;
   IF (FC62L <= -1) THEN FC62L = .;
   IF (FD1A <= -1) THEN FD1A = .;
   IF (FD2A <= -1) THEN FD2A = .;
   IF (FD3A <= -1) THEN FD3A = .;
   IF (FD4A <= -1) THEN FD4A = .;
   IF (FD1B <= -1) THEN FD1B = .;
   IF (FD2B <= -1) THEN FD2B = .;
   IF (FD3B <= -1) THEN FD3B = .;
   IF (FD4B <= -1) THEN FD4B = .;
   IF (FD1C <= -1) THEN FD1C = .;
   IF (FD2C <= -1) THEN FD2C = .;
   IF (FD3C <= -1) THEN FD3C = .;
   IF (FD4C <= -1) THEN FD4C = .;
   IF (FD1D <= -1) THEN FD1D = .;
   IF (FD2D <= -1) THEN FD2D = .;
   IF (FD3D <= -1) THEN FD3D = .;
   IF (FD4D <= -1) THEN FD4D = .;
   IF (FD1E <= -1) THEN FD1E = .;
   IF (FD2E <= -1) THEN FD2E = .;
   IF (FD3E <= -1) THEN FD3E = .;
   IF (FD4E <= -1) THEN FD4E = .;
   IF (FD1F <= -1) THEN FD1F = .;
   IF (FD2F <= -1) THEN FD2F = .;
   IF (FD3F <= -1) THEN FD3F = .;
   IF (FD4F <= -1) THEN FD4F = .;
   IF (FD1G <= -1) THEN FD1G = .;
   IF (FD2G <= -1) THEN FD2G = .;
   IF (FD3G <= -1) THEN FD3G = .;
   IF (FD4G <= -1) THEN FD4G = .;
   IF (FD1H <= -1) THEN FD1H = .;
   IF (FD2H <= -1) THEN FD2H = .;
   IF (FD3H <= -1) THEN FD3H = .;
   IF (FD4H <= -1) THEN FD4H = .;
   IF (FD1I <= -1) THEN FD1I = .;
   IF (FD2I <= -1) THEN FD2I = .;
   IF (FD3I <= -1) THEN FD3I = .;
   IF (FD4I <= -1) THEN FD4I = .;
   IF (FD1J <= -1) THEN FD1J = .;
   IF (FD2J <= -1) THEN FD2J = .;
   IF (FD3J <= -1) THEN FD3J = .;
   IF (FD4J <= -1) THEN FD4J = .;
   IF (FD1K <= -1) THEN FD1K = .;
   IF (FD2K <= -1) THEN FD2K = .;
   IF (FD3K <= -1) THEN FD3K = .;
   IF (FD4K <= -1) THEN FD4K = .;
   IF (FD1L <= -1) THEN FD1L = .;
   IF (FD2L <= -1) THEN FD2L = .;
   IF (FD3L <= -1) THEN FD3L = .;
   IF (FD4L <= -1) THEN FD4L = .;
   IF (FD1M <= -1) THEN FD1M = .;
   IF (FD1MOTH1 <= -1) THEN FD1MOTH1 = .;
   IF (FD2MOTH1 <= -1) THEN FD2MOTH1 = .;
   IF (FD3MOTH1 <= -1) THEN FD3MOTH1 = .;
   IF (FD4MOTH1 <= -1) THEN FD4MOTH1 = .;
   IF (FD1MOTH2 <= -1) THEN FD1MOTH2 = .;
   IF (FD2MOTH2 <= -1) THEN FD2MOTH2 = .;
   IF (FD3MOTH2 <= -1) THEN FD3MOTH2 = .;
   IF (FD4MOTH2 <= -1) THEN FD4MOTH2 = .;
   IF (FD1MOTH3 <= -1) THEN FD1MOTH3 = .;
   IF (FD2MOTH3 <= -1) THEN FD2MOTH3 = .;
   IF (FD3MOTH3 <= -1) THEN FD3MOTH3 = .;
   IF (FD4MOTH3 <= -1) THEN FD4MOTH3 = .;
   IF (FD5 <= -1) THEN FD5 = .;
   IF (FD6 <= -1) THEN FD6 = .;
   IF (FD7 <= -1) THEN FD7 = .;
   IF (FD8 <= -1) THEN FD8 = .;
   IF (FD9 <= -1) THEN FD9 = .;
   IF (FD10 <= -1) THEN FD10 = .;
   IF (FD11 <= -1) THEN FD11 = .;
   IF (FD12A <= -1) THEN FD12A = .;
   IF (FD13A <= -1) THEN FD13A = .;
   IF (FD12B <= -1) THEN FD12B = .;
   IF (FD13B <= -1) THEN FD13B = .;
   IF (FD12C <= -1) THEN FD12C = .;
   IF (FD13C <= -1) THEN FD13C = .;
   IF (FD14 <= -1) THEN FD14 = .;
   IF (FD15 <= -1) THEN FD15 = .;
   IF (FD16 <= -1) THEN FD16 = .;
   IF (FD17 <= -1) THEN FD17 = .;
   IF (FD18 <= -1) THEN FD18 = .;
   IF (FD19 <= -1) THEN FD19 = .;
   IF (FD20 <= -1) THEN FD20 = .;
   IF (FD21 <= -1) THEN FD21 = .;
   IF (FD23A <= -1) THEN FD23A = .;
   IF (FD23B <= -1) THEN FD23B = .;
   IF (FD23C <= -1) THEN FD23C = .;
   IF (FD23D <= -1) THEN FD23D = .;
   IF (FD23E <= -1) THEN FD23E = .;
   IF (FD23F <= -1) THEN FD23F = .;
   IF (FD23G <= -1) THEN FD23G = .;
   IF (FD24 <= -1) THEN FD24 = .;
   IF (FD25 <= -1) THEN FD25 = .;
   IF (FD26 <= -1) THEN FD26 = .;
   IF (FD27 <= -1) THEN FD27 = .;
   IF (FD28A <= -1) THEN FD28A = .;
   IF (FD28AOTH <= -1) THEN FD28AOTH = .;
   IF (FD29 <= -1) THEN FD29 = .;
   IF (FD30 <= -1) THEN FD30 = .;
   IF (FD31A <= -1) THEN FD31A = .;
   IF (FD31AOTH <= -1) THEN FD31AOTH = .;
   IF (FD32A <= -1) THEN FD32A = .;
   IF (FD32B <= -1) THEN FD32B = .;
   IF (FD32C <= -1) THEN FD32C = .;
   IF (FD32D <= -1) THEN FD32D = .;
   IF (FD32E <= -1) THEN FD32E = .;
   IF (FD32F <= -1) THEN FD32F = .;
   IF (FD32G <= -1) THEN FD32G = .;
   IF (FD32H <= -1) THEN FD32H = .;
   IF (FD32I <= -1) THEN FD32I = .;
   IF (FD32J <= -1) THEN FD32J = .;
   IF (FD32K <= -1) THEN FD32K = .;
   IF (FD32L <= -1) THEN FD32L = .;
   IF (FD33A <= -1) THEN FD33A = .;
   IF (FD33B <= -1) THEN FD33B = .;
   IF (FD33C <= -1) THEN FD33C = .;
   IF (FD33D <= -1) THEN FD33D = .;
   IF (FD33E <= -1) THEN FD33E = .;
   IF (FD33F <= -1) THEN FD33F = .;
   IF (FD34A <= -1) THEN FD34A = .;
   IF (FD34B <= -1) THEN FD34B = .;
   IF (FD34C <= -1) THEN FD34C = .;
   IF (FD34D <= -1) THEN FD34D = .;
   IF (FD34E <= -1) THEN FD34E = .;
   IF (FD35 <= -1) THEN FD35 = .;
   IF (FD37A <= -1) THEN FD37A = .;
   IF (FD38A <= -1) THEN FD38A = .;
   IF (FD37B <= -1) THEN FD37B = .;
   IF (FD38B <= -1) THEN FD38B = .;
   IF (FD37C <= -1) THEN FD37C = .;
   IF (FD38C <= -1) THEN FD38C = .;
   IF (FD37D <= -1) THEN FD37D = .;
   IF (FD38D <= -1) THEN FD38D = .;
   IF (FD37E <= -1) THEN FD37E = .;
   IF (FD38E <= -1) THEN FD38E = .;
   IF (FD37F <= -1) THEN FD37F = .;
   IF (FD38F <= -1) THEN FD38F = .;
   IF (FD37G <= -1) THEN FD37G = .;
   IF (FD38G <= -1) THEN FD38G = .;
   IF (FD37H <= -1) THEN FD37H = .;
   IF (FD38H <= -1) THEN FD38H = .;
   IF (FD39A <= -1) THEN FD39A = .;
   IF (FD40A <= -1) THEN FD40A = .;
   IF (FD41A <= -1) THEN FD41A = .;
   IF (FD39B <= -1) THEN FD39B = .;
   IF (FD40B <= -1) THEN FD40B = .;
   IF (FD41B <= -1) THEN FD41B = .;
   IF (FD39C <= -1) THEN FD39C = .;
   IF (FD40C <= -1) THEN FD40C = .;
   IF (FD41C <= -1) THEN FD41C = .;
   IF (FD39D <= -1) THEN FD39D = .;
   IF (FD40D <= -1) THEN FD40D = .;
   IF (FD41D <= -1) THEN FD41D = .;
   IF (FD42 <= -1) THEN FD42 = .;
   IF (FD42A <= -1) THEN FD42A = .;
   IF (FD42B <= -1) THEN FD42B = .;
   IF (FD42C <= -1) THEN FD42C = .;
   IF (FD42D <= -1) THEN FD42D = .;
   IF (FD42E <= -1) THEN FD42E = .;
   IF (FD42F <= -1) THEN FD42F = .;
   IF (FD42G <= -1) THEN FD42G = .;
   IF (FD42H <= -1) THEN FD42H = .;
   IF (FD42I <= -1) THEN FD42I = .;
   IF (FD43 <= -1) THEN FD43 = .;
   IF (FD44 <= -1) THEN FD44 = .;
   IF (FD45 <= -1) THEN FD45 = .;
   IF (FD46 <= -1) THEN FD46 = .;
   IF (FD47 <= -1) THEN FD47 = .;
   IF (FD48 <= -1) THEN FD48 = .;
   IF (FD49A <= -1) THEN FD49A = .;
   IF (FD49B <= -1) THEN FD49B = .;
   IF (FD49C <= -1) THEN FD49C = .;
   IF (FD49D <= -1) THEN FD49D = .;
   IF (FD49E <= -1) THEN FD49E = .;
   IF (FD49F <= -1) THEN FD49F = .;
   IF (FD49G <= -1) THEN FD49G = .;
   IF (FD49H <= -1) THEN FD49H = .;
   IF (FD49I <= -1) THEN FD49I = .;
   IF (FD49J <= -1) THEN FD49J = .;
   IF (FD49K <= -1) THEN FD49K = .;
   IF (FD49L <= -1) THEN FD49L = .;
   IF (FD49M <= -1) THEN FD49M = .;
   IF (FD50 <= -1) THEN FD50 = .;
   IF (FD51 <= -1) THEN FD51 = .;
   IF (FD52 <= -1) THEN FD52 = .;
   IF (FD53 <= -1) THEN FD53 = .;
   IF (FD54 <= -1) THEN FD54 = .;
   IF (FD55 <= -1) THEN FD55 = .;
   IF (FD56 <= -1) THEN FD56 = .;
   IF (FD57 <= -1) THEN FD57 = .;
   IF (FD58 <= -1) THEN FD58 = .;
   IF (FD59 <= -1) THEN FD59 = .;
   IF (FD60 <= -1) THEN FD60 = .;
   IF (FD61A <= -1) THEN FD61A = .;
   IF (FD61B <= -1) THEN FD61B = .;
   IF (FD61C <= -1) THEN FD61C = .;
   IF (FD62 <= -1) THEN FD62 = .;
   IF (FD63 <= -1) THEN FD63 = .;
   IF (FD64 <= -1) THEN FD64 = .;
   IF (FD65 <= -1) THEN FD65 = .;
   IF (FD66 <= -1) THEN FD66 = .;
   IF (FD67 <= -1) THEN FD67 = .;
   IF (FD68A <= -1) THEN FD68A = .;
   IF (FD69A <= -1) THEN FD69A = .;
   IF (FD68B <= -1) THEN FD68B = .;
   IF (FD69B <= -1) THEN FD69B = .;
   IF (FD68C <= -1) THEN FD68C = .;
   IF (FD69C <= -1) THEN FD69C = .;
   IF (FD68D <= -1) THEN FD68D = .;
   IF (FD69D <= -1) THEN FD69D = .;
   IF (FD68E <= -1) THEN FD68E = .;
   IF (FD69E <= -1) THEN FD69E = .;
   IF (FD68F <= -1) THEN FD68F = .;
   IF (FD69F <= -1) THEN FD69F = .;
   IF (FD68G <= -1) THEN FD68G = .;
   IF (FD69G <= -1) THEN FD69G = .;
   IF (FD68H <= -1) THEN FD68H = .;
   IF (FD69H <= -1) THEN FD69H = .;
   IF (FD68I <= -1) THEN FD68I = .;
   IF (FD69I <= -1) THEN FD69I = .;
   IF (FD68J <= -1) THEN FD68J = .;
   IF (FD69J <= -1) THEN FD69J = .;
   IF (FD68K <= -1) THEN FD68K = .;
   IF (FD69K <= -1) THEN FD69K = .;
   IF (FD68L <= -1) THEN FD68L = .;
   IF (FD69L <= -1) THEN FD69L = .;
   IF (FD68M <= -1) THEN FD68M = .;
   IF (FD69M <= -1) THEN FD69M = .;
   IF (FD68N <= -1) THEN FD68N = .;
   IF (FD68NOTH <= -1) THEN FD68NOTH = .;
   IF (FD69N <= -1) THEN FD69N = .;
   IF (FD70 <= -1) THEN FD70 = .;
   IF (FD71 <= -1) THEN FD71 = .;
   IF (FD72 <= -1) THEN FD72 = .;
   IF (FD73 <= -1) THEN FD73 = .;
   IF (FD74 <= -1) THEN FD74 = .;
   IF (FD75 <= -1) THEN FD75 = .;
   IF (FD75U <= -1) THEN FD75U = .;
   IF (FD76 <= -1) THEN FD76 = .;
   IF (FD77 <= -1) THEN FD77 = .;
   IF (FD78 <= -1) THEN FD78 = .;
   IF (FD79 <= -1) THEN FD79 = .;
   IF (FD80 <= -1) THEN FD80 = .;
   IF (FD81A <= -1) THEN FD81A = .;
   IF (FD82A <= -1) THEN FD82A = .;
   IF (FD83A <= -1) THEN FD83A = .;
   IF (FD81B <= -1) THEN FD81B = .;
   IF (FD82B <= -1) THEN FD82B = .;
   IF (FD83B <= -1) THEN FD83B = .;
   IF (FD81C <= -1) THEN FD81C = .;
   IF (FD82C <= -1) THEN FD82C = .;
   IF (FD83C <= -1) THEN FD83C = .;
   IF (FD81D <= -1) THEN FD81D = .;
   IF (FD82D <= -1) THEN FD82D = .;
   IF (FD83D <= -1) THEN FD83D = .;
   IF (FD81E <= -1) THEN FD81E = .;
   IF (FD82E <= -1) THEN FD82E = .;
   IF (FD83E <= -1) THEN FD83E = .;
   IF (FD81F <= -1) THEN FD81F = .;
   IF (FD82F <= -1) THEN FD82F = .;
   IF (FD83F <= -1) THEN FD83F = .;
   IF (FD81G <= -1) THEN FD81G = .;
   IF (FD82G <= -1) THEN FD82G = .;
   IF (FD83G <= -1) THEN FD83G = .;
   IF (FD81H <= -1) THEN FD81H = .;
   IF (FD82H <= -1) THEN FD82H = .;
   IF (FD83H <= -1) THEN FD83H = .;
   IF (FD81I <= -1) THEN FD81I = .;
   IF (FD82I <= -1) THEN FD82I = .;
   IF (FD83I <= -1) THEN FD83I = .;
   IF (FD84A <= -1) THEN FD84A = .;
   IF (FD84B <= -1) THEN FD84B = .;
   IF (FD84C <= -1) THEN FD84C = .;
   IF (FD84D <= -1) THEN FD84D = .;
   IF (FD84E <= -1) THEN FD84E = .;
   IF (FD84F <= -1) THEN FD84F = .;
   IF (FD84G <= -1) THEN FD84G = .;
   IF (FB2CFLG <= -1) THEN FB2CFLG = .;
   IF (FB2FFLG <= -1) THEN FB2FFLG = .;
   IF (FB2KFLG <= -1) THEN FB2KFLG = .;
   IF (FB82AFLG <= -1) THEN FB82AFLG = .;
   IF (FB82BFLG <= -1) THEN FB82BFLG = .;
   IF (FB82CFLG <= -1) THEN FB82CFLG = .;
   IF (FB82DFLG <= -1) THEN FB82DFLG = .;
   IF (FB82EFLG <= -1) THEN FB82EFLG = .;
   IF (FB82FFLG <= -1) THEN FB82FFLG = .;
   IF (FB82GFLG <= -1) THEN FB82GFLG = .;
   IF (FB82HFLG <= -1) THEN FB82HFLG = .;
   IF (FB82IFLG <= -1) THEN FB82IFLG = .;
   IF (FB82JFLG <= -1) THEN FB82JFLG = .;
   IF (FB82KFLG <= -1) THEN FB82KFLG = .;
   IF (FB82LFLG <= -1) THEN FB82LFLG = .;
   IF (FB82MFLG <= -1) THEN FB82MFLG = .;
   IF (FB82NFLG <= -1) THEN FB82NFLG = .;
   IF (FB88AFLG <= -1) THEN FB88AFLG = .;
   IF (FD36FLG <= -1) THEN FD36FLG = .;
   IF (FD3BFLG <= -1) THEN FD3BFLG = .;
   IF (FD3CFLG <= -1) THEN FD3CFLG = .;
   IF (FD3DFLG <= -1) THEN FD3DFLG = .;
   IF (FD3EFLG <= -1) THEN FD3EFLG = .;
   IF (FD3FFLG <= -1) THEN FD3FFLG = .;
   IF (FD3GFLG <= -1) THEN FD3GFLG = .;
   IF (FD3IFLG <= -1) THEN FD3IFLG = .;
   IF (FD38BFLG <= -1) THEN FD38BFLG = .;
   IF (FD38CFLG <= -1) THEN FD38CFLG = .;
   IF (FD38DFLG <= -1) THEN FD38DFLG = .;
   IF (FD38FFLG <= -1) THEN FD38FFLG = .;
   IF (FD38GFLG <= -1) THEN FD38GFLG = .;
   IF (FD38HFLG <= -1) THEN FD38HFLG = .;
   IF (FD5FLG <= -1) THEN FD5FLG = .;
   IF (FD26FLG <= -1) THEN FD26FLG = .;
   IF (FD30FLG <= -1) THEN FD30FLG = .;
   IF (FD40AFLG <= -1) THEN FD40AFLG = .;
   IF (FD40BFLG <= -1) THEN FD40BFLG = .;
   IF (FD40CFLG <= -1) THEN FD40CFLG = .;
   IF (FD40DFLG <= -1) THEN FD40DFLG = .;
   IF (FB64MOTH <= -1) THEN FB64MOTH = .;
   IF (FC7FOTH1 <= -1) THEN FC7FOTH1 = .;
   IF (FC7FOTH2 <= -1) THEN FC7FOTH2 = .;
   IF (FC7FOTH3 <= -1) THEN FC7FOTH3 = .;
   IF (FD49MOTH <= -1) THEN FD49MOTH = .;
   IF (FD81IOTH <= -1) THEN FD81IOTH = .;
   IF (FC23 <= -1) THEN FC23 = .;
   IF (FC29OOTH <= -1) THEN FC29OOTH = .;
   IF (FDAYSDCG <= -1) THEN FDAYSDCG = .;
   IF (F_NEXTTX <= -1) THEN F_NEXTTX = .;
   IF (F_AGEINT <= -1) THEN F_AGEINT = .;
   IF (A73 <= -1) THEN A73 = .;
   IF (AGE_CALC <= -1) THEN AGE_CALC = .;
   IF (LOS <= -1) THEN LOS = .;
   IF (TRT_DUR <= -1) THEN TRT_DUR = .;
   IF (ALCOHOL <= -1) THEN ALCOHOL = .;
   IF (DRUG <= -1) THEN DRUG = .;
   IF (DRUG_ALC <= -1) THEN DRUG_ALC = .;
   IF (TXCARE <= -1) THEN TXCARE = .;
   IF (ABSSMPTY <= -1) THEN ABSSMPTY = .;
   IF (QFSTRAT <= -1) THEN QFSTRAT = .;
   IF (GROUP <= -1) THEN GROUP = .;
   IF (FIELDPSU <= -1) THEN FIELDPSU = .;
   IF (U_MRJ_SM <= -1) THEN U_MRJ_SM = .;
   IF (U_PCP_SM <= -1) THEN U_PCP_SM = .;
   IF (U_AMP_SM <= -1) THEN U_AMP_SM = .;
   IF (U_BEN_SM <= -1) THEN U_BEN_SM = .;
   IF (U_COC_SM <= -1) THEN U_COC_SM = .;
   IF (U_MET_SM <= -1) THEN U_MET_SM = .;
   IF (U_OPI_SM <= -1) THEN U_OPI_SM = .;
   IF (U_ALCF1 <= -1) THEN U_ALCF1 = .;
   IF (U_MRJF1 <= -1) THEN U_MRJF1 = .;
   IF (U_PCPF1 <= -1) THEN U_PCPF1 = .;
   IF (U_AMPF1 <= -1) THEN U_AMPF1 = .;
   IF (U_AMPF2 <= -1) THEN U_AMPF2 = .;
   IF (U_BENF1 <= -1) THEN U_BENF1 = .;
   IF (U_BENF2 <= -1) THEN U_BENF2 = .;
   IF (U_BENF3 <= -1) THEN U_BENF3 = .;
   IF (U_BENF4 <= -1) THEN U_BENF4 = .;
   IF (U_BENF5 <= -1) THEN U_BENF5 = .;
   IF (U_BENF6 <= -1) THEN U_BENF6 = .;
   IF (U_BENF7 <= -1) THEN U_BENF7 = .;
   IF (U_BENF8 <= -1) THEN U_BENF8 = .;
   IF (U_COCF1 <= -1) THEN U_COCF1 = .;
   IF (U_METF1 <= -1) THEN U_METF1 = .;
   IF (U_OPIF1 <= -1) THEN U_OPIF1 = .;
   IF (U_OPIF2 <= -1) THEN U_OPIF2 = .;
   IF (U_OPIF3 <= -1) THEN U_OPIF3 = .;
   IF (U_OPIF4 <= -1) THEN U_OPIF4 = .;
   IF (U_AMLID <= -1) THEN U_AMLID = .;
   IF (U_CREATN <= -1) THEN U_CREATN = .;
   IF (U_PH <= -1) THEN U_PH = .;
   IF (U_MRJV1 <= -1) THEN U_MRJV1 = .;
   IF (U_PCPV1 <= -1) THEN U_PCPV1 = .;
   IF (U_AMPV1 <= -1) THEN U_AMPV1 = .;
   IF (U_AMPV2 <= -1) THEN U_AMPV2 = .;
   IF (U_BENV1 <= -1) THEN U_BENV1 = .;
   IF (U_BENV2 <= -1) THEN U_BENV2 = .;
   IF (U_BENV3 <= -1) THEN U_BENV3 = .;
   IF (U_BENV4 <= -1) THEN U_BENV4 = .;
   IF (U_BENV5 <= -1) THEN U_BENV5 = .;
   IF (U_BENV6 <= -1) THEN U_BENV6 = .;
   IF (U_BENV7 <= -1) THEN U_BENV7 = .;
   IF (U_BENV8 <= -1) THEN U_BENV8 = .;
   IF (U_COCV1 <= -1) THEN U_COCV1 = .;
   IF (U_METV1 <= -1) THEN U_METV1 = .;
   IF (U_OPIV1 <= -1) THEN U_OPIV1 = .;
   IF (U_OPIV2 <= -1) THEN U_OPIV2 = .;
   IF (U_OPIV3 <= -1) THEN U_OPIV3 = .;
   IF (U_OPIV4 <= -1) THEN U_OPIV4 = .;
   IF (U_ALCV1 <= -1.00) THEN U_ALCV1 = .;
   IF (U_NITRIT <= -1) THEN U_NITRIT = .;
   IF (U_ANYPOS <= -1) THEN U_ANYPOS = .;
   IF (U_ANYDRG <= -1) THEN U_ANYDRG = .;
   IF (U_NUMDRG <= -1) THEN U_NUMDRG = .;
   IF (U_DTDIFF <= -1) THEN U_DTDIFF = .;
   IF (U_RESULT <= -1) THEN U_RESULT = .;
   IF (FB33 <= -1.00) THEN FB33 = .;
   IF (FB38 <= -1.00) THEN FB38 = .;
   IF (FC13 <= -1.00) THEN FC13 = .;
   IF (FC16 <= -1.00) THEN FC16 = .;
   IF (FD28 <= -1.00) THEN FD28 = .;
   IF (FD31 <= -1.00) THEN FD31 = .;
   IF (RAKFC3 <= -1.0000) THEN RAKFC3 = .;
   IF (DIM5 <= -1) THEN DIM5 = .;
   IF (DIM4 <= -1) THEN DIM4 = .;
   IF (DIM3 <= -1) THEN DIM3 = .;
   IF (DIM2 <= -1) THEN DIM2 = .;
   IF (DIM1 <= -1) THEN DIM1 = .;
   IF (PAIR90 <= -1) THEN PAIR90 = .;
   IF (CAT_CLI2 <= -1) THEN CAT_CLI2 = .;
   IF (CAT_C_D <= -1) THEN CAT_C_D = .;
   IF (PSUTYPE2 <= -1) THEN PSUTYPE2 = .;
   IF (CENREG <= -1) THEN CENREG = .;
   IF (OWN <= -1) THEN OWN = .;
   IF (VST_PSU <= -1) THEN VST_PSU = .;
   IF (VUN_PSU <= -1) THEN VUN_PSU = .;
   IF (MAIN_WT <= -1) THEN MAIN_WT = .;
   IF (C3BWT0 <= -1.0000) THEN C3BWT0 = .;
   IF (CLTYPE <= -1) THEN CLTYPE = .;
   IF (DRUG_D81 <= -1) THEN DRUG_D81 = .;
   IF (SELF_C31 <= -1) THEN SELF_C31 = .;
   IF (CTRIMFLG <= -1) THEN CTRIMFLG = .;
   IF (C3FWT0 <= -1.0000) THEN C3FWT0 = .;
   IF (CTRMFCTR <= -1.0000) THEN CTRMFCTR = .;
   IF (C3FWT1 <= -1.0000) THEN C3FWT1 = .;
   IF (C3FWT2 <= -1.0000) THEN C3FWT2 = .;
   IF (C3FWT3 <= -1.0000) THEN C3FWT3 = .;
   IF (C3FWT4 <= -1.0000) THEN C3FWT4 = .;
   IF (C3FWT5 <= -1.0000) THEN C3FWT5 = .;
   IF (C3FWT6 <= -1.0000) THEN C3FWT6 = .;
   IF (C3FWT7 <= -1.0000) THEN C3FWT7 = .;
   IF (C3FWT8 <= -1.0000) THEN C3FWT8 = .;
   IF (C3FWT9 <= -1.0000) THEN C3FWT9 = .;
   IF (C3FWT10 <= -1.0000) THEN C3FWT10 = .;
   IF (C3FWT11 <= -1.0000) THEN C3FWT11 = .;
   IF (C3FWT12 <= -1.0000) THEN C3FWT12 = .;
   IF (C3FWT13 <= -1.0000) THEN C3FWT13 = .;
   IF (C3FWT14 <= -1.0000) THEN C3FWT14 = .;
   IF (C3FWT15 <= -1.0000) THEN C3FWT15 = .;
   IF (C3FWT16 <= -1.0000) THEN C3FWT16 = .;
   IF (C3FWT17 <= -1.0000) THEN C3FWT17 = .;
   IF (C3FWT18 <= -1.0000) THEN C3FWT18 = .;
   IF (C3FWT19 <= -1.0000) THEN C3FWT19 = .;
   IF (C3FWT20 <= -1.0000) THEN C3FWT20 = .;
   IF (C3FWT21 <= -1.0000) THEN C3FWT21 = .;
   IF (C3FWT22 <= -1.0000) THEN C3FWT22 = .;
   IF (C3FWT23 <= -1.0000) THEN C3FWT23 = .;
   IF (C3FWT24 <= -1.0000) THEN C3FWT24 = .;
   IF (C3FWT25 <= -1.0000) THEN C3FWT25 = .;
   IF (C3FWT26 <= -1.0000) THEN C3FWT26 = .;
   IF (C3FWT27 <= -1.0000) THEN C3FWT27 = .;
   IF (C3FWT28 <= -1.0000) THEN C3FWT28 = .;
   IF (C3FWT29 <= -1.0000) THEN C3FWT29 = .;
   IF (C3FWT30 <= -1.0000) THEN C3FWT30 = .;
   IF (C3FWT31 <= -1.0000) THEN C3FWT31 = .;
   IF (C3FWT32 <= -1.0000) THEN C3FWT32 = .;
   IF (C3FWT33 <= -1.0000) THEN C3FWT33 = .;
   IF (C3FWT34 <= -1.0000) THEN C3FWT34 = .;
   IF (C3FWT35 <= -1.0000) THEN C3FWT35 = .;
   IF (C3FWT36 <= -1.0000) THEN C3FWT36 = .;
   IF (C3FWT37 <= -1.0000) THEN C3FWT37 = .;
   IF (C3FWT38 <= -1.0000) THEN C3FWT38 = .;
   IF (C3FWT39 <= -1.0000) THEN C3FWT39 = .;
   IF (C3FWT40 <= -1.0000) THEN C3FWT40 = .;
   IF (C3FWT41 <= -1.0000) THEN C3FWT41 = .;
   IF (C3FWT42 <= -1.0000) THEN C3FWT42 = .;
   IF (C3FWT43 <= -1.0000) THEN C3FWT43 = .;
   IF (C3FWT44 <= -1.0000) THEN C3FWT44 = .;
   IF (C3FWT45 <= -1.0000) THEN C3FWT45 = .;
   IF (C3FWT46 <= -1.0000) THEN C3FWT46 = .;
   IF (C3FWT47 <= -1.0000) THEN C3FWT47 = .;
   IF (C3FWT48 <= -1.0000) THEN C3FWT48 = .;
   IF (C3FWT49 <= -1.0000) THEN C3FWT49 = .;
   IF (C3FWT50 <= -1.0000) THEN C3FWT50 = .;
   IF (C3FWT51 <= -1.0000) THEN C3FWT51 = .;
   IF (C3FWT52 <= -1.0000) THEN C3FWT52 = .;
   IF (C3FWT53 <= -1.0000) THEN C3FWT53 = .;
   IF (C3FWT54 <= -1.0000) THEN C3FWT54 = .;
   IF (C3FWT55 <= -1.0000) THEN C3FWT55 = .;
   IF (C3FWT56 <= -1.0000) THEN C3FWT56 = .;
   IF (C3FWT57 <= -1.0000) THEN C3FWT57 = .;
   IF (C3FWT58 <= -1.0000) THEN C3FWT58 = .;
   IF (C3FWT59 <= -1.0000) THEN C3FWT59 = .;
   IF (C3FWT60 <= -1.0000) THEN C3FWT60 = .;
   IF (C3FWT61 <= -1.0000) THEN C3FWT61 = .;
   IF (C3FWT62 <= -1.0000) THEN C3FWT62 = .;
   IF (C3FWT63 <= -1.0000) THEN C3FWT63 = .;
   IF (C3FWT64 <= -1.0000) THEN C3FWT64 = .;
   IF (C3FWT65 <= -1.0000) THEN C3FWT65 = .;
   IF (C3FWT66 <= -1.0000) THEN C3FWT66 = .;
   IF (C3FWT67 <= -1.0000) THEN C3FWT67 = .;
   IF (C3FWT68 <= -1.0000) THEN C3FWT68 = .;
   IF (C3FWT69 <= -1.0000) THEN C3FWT69 = .;
   IF (C3FWT70 <= -1.0000) THEN C3FWT70 = .;
   IF (C3FWT71 <= -1.0000) THEN C3FWT71 = .;
   IF (C3FWT72 <= -1.0000) THEN C3FWT72 = .;
   IF (C3FWT73 <= -1.0000) THEN C3FWT73 = .;
   IF (C3FWT74 <= -1.0000) THEN C3FWT74 = .;
   IF (C3FWT75 <= -1.0000) THEN C3FWT75 = .;
   IF (C3FWT76 <= -1.0000) THEN C3FWT76 = .;
   IF (C3FWT77 <= -1.0000) THEN C3FWT77 = .;
   IF (C3FWT78 <= -1.0000) THEN C3FWT78 = .;
*/

RUN ;
